Table of Contents

Class: PropertiesDialog | eric3/Project/PropertiesDialog.py
--- | ---

Class implementing the project properties dialog.

Base Classes |
--- | ---
PropertiesForm

Methods |
--- | ---
__init__ handleDirDialog handleFileDialog storeData vcsSelected
| __init__

    __init__ (
            self,
            project,
            new=1,
            parent=None,
            name=None,
            modal=0,
            fl=0,
            )

### Constructor

#### Arguments

project
  reference to the project object
new
  flag indicating the generation of a new project
parent
  parent widget of this dialog (QWidget)
name
  name of this dialog (string or QString)
modal
  flag indicating a modal dialog
fl
  window flags

| handleDirDialog

    handleDirDialog ( self )

Private slot to display a directory selection dialog.

| handleFileDialog

    handleFileDialog ( self )

Private slot to display a file selection dialog.

| storeData

    storeData ( self )

Public method to store the entered/modified data.

| vcsSelected

    vcsSelected ( self )

### Public method to retrieve the vcs system support.

#### Returns

flag indicating whether VCS support is selected

Table of Contents

This document was automatically generated by HappyDoc version 2.1